IMPORTPEM(1)

NAME
importpem - Runs TPM2_Import with PEM input

DESCRIPTION
--version-string=v1045 is not a valid option

Import PEM

Runs TPM2_Import for a PEM RSA key

-hp parent handle

    [-pwdp password for parent (default empty)] -ipem PEM format key pair

    [-rsa (default)] [-ecc (uses NIST P256)]

    [-pwdk password for key (default empty)] -opu public area file name -opr private area file name [-nalg name hash algorithm (sha1, sha256, sha384) (default sha256)] [-halg scheme hash algorithm (sha1, sha256, sha384) (default sha256)] [-pol policy file (default empty)]

-se[0-2] session handle / attributes (default PWAP)

    01 continue 20 command decrypt 40 response encrypt

--version is not a valid option

Import PEM

Runs TPM2_Import for a PEM RSA key

-hp parent handle

    [-pwdp password for parent (default empty)] -ipem PEM format key pair

    [-rsa (default)] [-ecc (uses NIST P256)]

    [-pwdk password for key (default empty)] -opu public area file name -opr private area file name [-nalg name hash algorithm (sha1, sha256, sha384) (default sha256)] [-halg scheme hash algorithm (sha1, sha256, sha384) (default sha256)] [-pol policy file (default empty)]

-se[0-2] session handle / attributes (default PWAP)

    01 continue 20 command decrypt 40 response encrypt

SEE ALSO
The full documentation for importpem is maintained as a Texinfo manual. If the info and importpem programs are properly installed at your site, the command

    info importpem

should give you access to the complete manual.